Skip to main content
GET
Get payment by ID

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

paymentId
string<uuid>
required

Identifier of the resource in Payrails.

Query Parameters

includeInstrument
boolean
default:false

Boolean indicating if the payment instrument should be included in the response.

includePaymentToken
boolean
default:false

Boolean indicating if the instrument payment token should be included in the response.

includeProviderAccountDisplayName
boolean
default:false

Boolean indicating if the provider account display name should be included in the response.

includeHolderReference
boolean
default:false

Boolean indicating if the holder reference should be included in the response.

Response

Payment entity found, and all details are included.

id
string<uuid>
required

Unique identifier of the Payment in Payrails.

status
enum<string>
required

Current status of the Payment in Payrails. More information can be found here.

Available options:
Created,
Pending,
Unknown,
Failed,
Expired,
Preauthorized,
Authorized,
Canceled,
Captured,
Refunded
createdAt
string<date-time>

Exact date and time when the Payment was created in Payrails. Possibly differs slightly from the date in the PSP.

providerId
string<uuid>

Unique identifier of the Provider that was used to process the Payment.

paymentMethodType
string

Type of payment method used to process the payment.

providerIntegrationType
string

Type of integration used to process the payment (in case the payment provider supports multiple).

providerName
string

Name of the Provider that was used to process the Payment, e.g. Adyen, Checkout, Stripe.

providerReference
string

Unique identifier of the Payment in an external system, e.g. PSP.

providerConfigId
string<uuid>

Unique identifier of the merchant-specific Provider Configuration that was used to process the Payment. This can include the set of credentials used, the merchant account, country, vertical, etc.

holderId
string<uuid>

Unique identifier of the Holder that is involved in the Payment.

amount
object

Amount of the Payment.

instrumentId
string<uuid>

Unique identifier of the Instrument that was used for the Payment in Payrails.

instrumentTokenId
string<uuid>

Unique identifier of the specific Token inside the Instrument used for the Payment in Payrails.

instrument
object

Optionally included details about the instrument used for the payment.

instrumentToken
object

Optionally included details about the instrument token used for the payment.

transactionReference
string

Merchant-specific identifier of the execution. This can be used for searching for the Payment later.

transactionElementReference
string

Identifier of the step in the Workflow that led to this Payment.

pspRedirectUrl
string

In case a redirection process is needed during the Payment, this is the URL where the PSP requested Payrails to redirect the user to.

capturedAmount
object

Amount that was captured from the Payment. If no capture is initiated for the payment, the value will be 0 until a successful capture occurs.

refundedAmount
object

Amount that was refunded from the Payment. If multiple partial refunds have been made, this will be the sum of them. If no refund is initiated for the payment, the value will remain 0 until a successful refund occurs.

availableAmount
object

Amount still available to refund from the Payment, i.e. capturedAmount minus refundedAmount. Reflects partial captures, so refunds are never allowed to exceed what was actually captured.

merchantReturnUrl
string

In case a redirection process is needed during the Payment, Payrails will return to this merchant-specific URL after it finished.

merchantReference
string

Merchant-provided reference for the Execution. Commonly, the identifier of the order on the Merchant's system.

meta
object

Metadata for the context of an execution. Includes Payrails-defined structures for most common fields used in workflows, but can also be extended by merchant or provider-specific fields. For more information, visit our Meta Fields guide. See Meta for every field.

history
object[]

History of Payment Operations executed on the Payment.

providerAccountDisplayName
string

Display name of the Provider Account/Configuration that was used to process the Payment.

providerDisplayName
string

Display name of the Provider that was used to process the Payment.

workspaceId
string

Workspace ID that the Payment belongs to.

Last modified on October 7, 2026